Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-1944

Overview

Vulnerability Score 7.2 7.2
CVE Id CVE-2008-1944
Last Modified 21 Aug 2010 01:19:47
Published 14 May 2008 02:20:00
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector LOCAL
Access Complexity LOW
Authentication NONE

CVE-2008-1944

Summary

Buffer overflow in the backend framebuffer of XenSource Xen Para-Virtualized Framebuffer (PVFB) Message 3.0 through 3.0.3 allows local users to cause a denial of service (SDL crash) and possibly execute arbitrary code via "bogus screen updates," related to missing validation of the "format of messages."

Vulnerable Systems

Application

  • Xensource Xen 3.0

  • Xensource Xen 3.0.3


References

CONFIRM - https://bugzilla.redhat.com/show_bug.cgi?id=443390

XF - xen-pvfb-message-dos(42388)

SECTRACK - 1020009

BID - 29186

REDHAT - RHSA-2008:0194

SECUNIA - 29963


Last Updated: 27 May 2016 10:47:42